.matching-question4 {
  min-height: 16rem;
  padding: 1rem;
  $font-size:1.4rem;
  &__des {
    font-weight: 700;
    font-size: 1.4rem;
    white-space: pre-wrap;
    padding: 0rem 1rem 2rem 1rem;
    text-align: center;
  }

  &__content {
    display: flex;
    margin-top: 1rem;

    .left-data {
      width: 27%;
      display: flex;
      white-space: pre-wrap;
      flex-direction: column;
      align-items: center;
      
      .__content-image{
        display: flex;
        justify-content: center;
        flex-direction: column;
        box-shadow: 0px 0px 0px 1px #d5dee8;
        border-radius: 0.8rem;
        background: #fff;
        img{
          max-width: 100%;
          width: 100%;
          border-radius: 0.8rem;
          max-height: 50vh;
        }
        span{
          padding:1.6rem 0.6rem;
          width: 100%;
          text-align: center;
          font-weight: 700;
        }
      }
    }

    .right-data {
      &.__100{
        width: 98%;
      }
      width: 72.5%;
      width: calc(73% - 1rem);
      margin-left: 1rem;
      background: #fff;
      border-radius: 0.8rem;
      padding: 0.8rem;
      border: 1px solid #e6e5ee;
      .title-example{
        color: #67AB8D;
        font-size: $font-size;
        text-decoration: underline;
      }
      .title-question{
        color: #F8C116;
        font-size: $font-size;
        text-decoration: underline;
      }
      .row-data-header{
        display: flex;
        justify-content: space-between;
        width: 100%;
        padding: 0.6rem;
        font-weight: 600;
        color: #9cabbd;
        .__left-column{
          width: 7rem;
          display: flex;
          align-items: center;
        }
        .__center-column{
          width: 70%;
          width: calc(100% - 19rem);
          display: flex;
          justify-content: center;
          div{
            width: 50%;
            display: flex;
            justify-content: center;
          }
        }
        .__right-column{
          width: 8rem;
        }
      }
      .row-data {
        display: flex;
        justify-content: space-between;
        width: 100%;
        padding: 0.6rem;
        &:nth-child(1){
          font-weight: 600;
        }

        &.row-example{
          .__center-column{
            width: 69%;
            width: calc(100% - 17rem);
            display: flex;
            .__left-item{
              border:2px solid #67AB8D;
              background-color: #e2f6ec;
              color: #67AB8D;
              margin-right: -1px;
              &__linked{
                display: flex;
  
                div{
                  height: 2.6rem;
                  background: #e2f6ec;
                  &:nth-child(1){
                    background: #e2f6ec;
                  }
                  &:nth-child(2){
                    border: 2px solid #67AB8D ;
                    border-left: none;
                  }
                }
              }
              &__text{
                color: #67AB8D;
              }
            }
            .__right-item{
              border:2px solid #67AB8D;
              background-color: #e2f6ec;
              color: #67AB8D;
                &__linked{
                  div{
                    background: #e2f6ec;
                    &:nth-child(1){
                      background: #e2f6ec;
                    }
                    &:nth-child(2){
                      border: 2px solid #67AB8D ;
                    }
                  }
                }
            }
          }
          .__right-column{
            .__index{
              color: #67AB8D;
              border: 2px solid #67AB8D
            }
          }
        }
        .__left-column{
          width: 7rem;
          display: flex;
          align-items: center;
        }
        .__center-column{
          width: 70%;
          width: calc(100% - 17rem);
          display: flex;
          justify-content: center;
          .__left-item{
            width: 48.5%;
            position: relative;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            min-height: 4.6rem;
            border:2px solid #d5dce7;
            flex-direction: row;
            border-radius: 0.4rem;
            margin-right: 1rem;
            z-index: 1;
            &__linked{
              position: absolute;
              height: 2.6rem;
              width: 2.6rem;
              top: 50%;
              left: 100%;
              transform: translate(-50%, -50%);
              border-top-right-radius: 1.3rem;
              border-bottom-right-radius: 1.3rem;
              display: flex;

              div{
                width: 50%;
                height: 2.6rem;
                background: #fff;
                &:nth-child(1){
                  background: #fff;
                }
                &:nth-child(2){
                  border-bottom-right-radius: 1.3rem;
                  border-top-right-radius: 1.3rem;
                  border: 2px solid #d5dce7;
                  border-left: none;
                }
              }
            }
            &__text{
              padding: 1.4rem 1.4rem 1.4rem 1.2rem;
            }
          }
          .__right-item{
            width: 48.5%;
            position: relative;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            min-height: 4.6rem;
            border:2px solid #8cc4fe;
            flex-direction: row;
            border-radius: 0.6rem;
           
              &__linked{
                position: absolute;
                height: 2.6rem;
                width: 2.6rem;
                top: 50%;
                left: -2px;
                transform: translate(-50%, -50%);
                border-top-right-radius: 1.3rem;
                border-bottom-right-radius: 1.3rem;
                display: flex;
  
                div{
                  width: 50%;
                  height: 2.6rem;
                  background: #fff;
                  &:nth-child(1){
                    background: #fff;
                  }
                  &:nth-child(2){
                    border-bottom-right-radius: 1.3rem;
                    border-top-right-radius: 1.3rem;
                    border: 2px solid #8cc4fe ;
                    border-left: none;
                  }
                }
              }
              &__text{
                padding: 1.4rem 1.4rem 1.4rem 1.8rem;
              }
          }
        }
        .__right-column{
          width: 8rem;
          display: flex;
          position: relative;
          .__index{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            height: 100%;
            width: 4rem;
            display: flex;
            justify-content: center;
            align-items: center;
            border-radius: 0.4rem;
            border: 2px solid #d5dce7;
            font-weight: 500;
          }
        }
      }
    }
  }
}
